Subject: Re: When will net-next merge with linux-next?

From: "[email-masked]" <[email-masked]>
Date: Tue, 15 Mar 2016 19:40:58 -0700

On Wed, Mar 16, 2016 at 01:58:50AM +0000, Dexuan Cui wrote:
> > From: [email-masked] [mailto:[email-masked]]
> > Sent: Tuesday, March 15, 2016 23:06
> > To: Dexuan Cui <[email-masked]>
> > Cc: David Miller <[email-masked]>; [email-masked]; KY
> > Srinivasan <[email-masked]>; Haiyang Zhang <[email-masked]>
> > Subject: Re: When will net-next merge with linux-next?
> > 
> > On Tue, Mar 15, 2016 at 11:11:34AM +0000, Dexuan Cui wrote:
> > > I'm wondering whether (and when) step 2 will happen in the next 2 weeks,
> > > that is, before the tag 4.6-rc1 is made.
> > > If not, I guess I'll miss 4.6?
> > 
> > You missed 4.6 as your patch was not in any of our trees a few days
> > before 4.5 was released, sorry.
> > 
> > greg k-h
> Hi Greg,
> Thanks for the reply!
> 
> My patch has to go in net-next first, but even today's mainline and net-next
> haven't had the supporting patches in the VMBus driver, so I can't post my
> patch to net-next even today  -- it seems it's doomed to need 2 major
> release cycles to push a feature that makes changes to 2 subsystems? :-(

Usually, yes, unless you talk to us ahead of time so we can coordinate,
or have one of the patches go through a different tree (i.e. all in one
tree.).

Just wait until 4.6-rc1 is out and all will be fine.

greg k-h